ScXMLEvent(3)

NAME
ScXMLEvent - Base class for events sent to SCXML state machines.

SYNOPSIS

#include <Inventor/scxml/ScXMLEvent.h>

Inherits ScXMLObject.

Inherited by SoScXMLEvent.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void setEventName (const SbName &name)
const SbName & getEventName (void) const
ScXMLEvent * clone (void) const
void setAssociation (const char *key, const char *value)
const char * getAssociation (const char *key) const
size_t getNumAssociations (void) const
size_t getAssociationKeys (SbList< const char * > &keys) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Protected Member Functions
virtual void copyContents (const ScXMLEvent *rhs)

  Protected Attributes
SbName name

  Additional Inherited Members

Detailed Description

Base class for events sent to SCXML state machines.

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLEvent::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLObject.

Reimplemented in SoScXMLEvent.

  void ScXMLEvent::setEventName (const SbName & namearg) [virtual]
This method is for setting a string that will identify this particular event, having this particular state, and can be used for event matching in the SCXML descriptions.

The string should, according to the specification, be a set of tokens consisting of alphanumeric characters, separated with periods (.). This limitation is not enforced by this implementation.

Author

Generated automatically by Doxygen for Coin from the source code.